For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
      • GETReturns all document spaces.
      • POSTCreates a new document space.
      • GETReturns the document space with the specified id.
      • PUTUpdates the document space with the specified id.
      • DELDeletes the document space with the specified id.
      • POSTAdds a list of document space contributors to a document space.
      • PUTUpdates the access of a document space contributor to the document space with the specified id.
      • DELDeletes the document space contributor with the specified id from a document space.
      • POSTAdds teams to the document space with the specified id.
      • PUTUpdates the access of a team to the document space with the specified id.
      • DELDeletes the team with the specified id from a document space.
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceDocument Spaces

Deletes the document space contributor with the specified id from a document space.

DELETE
https://api.awork.com/api/v1/documentspaces/:documentSpaceId/contributors/:documentSpaceContributorId
DELETE
/api/v1/documentspaces/:documentSpaceId/contributors/:documentSpaceContributorId
$curl -X DELETE https://api.awork.com/api/v1/documentspaces/documentSpaceId/contributors/documentSpaceContributorId \
> -H "Authorization: Bearer <token>"
Deletes the specified document space contributor from a document space. Deleting a document space contributor will affect their access to the document space and the documents within that space. <Check title="Required Permissions" icon="key">The user must be an admin.</Check>
Was this page helpful?
Previous

Adds teams to the document space with the specified id.

Next
Built with

Deletes the specified document space contributor from a document space. Deleting a document space contributor will affect their access to the document space and the documents within that space.

Required Permissions
The user must be an admin.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

documentSpaceIdstringRequiredformat: "uuid"
The id of the document space.
documentSpaceContributorIdstringRequiredformat: "uuid"
The id of the document space contributor to delete.

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error